{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans 'Public Votations' %}{% endblock %}

{% block content %}
<div class="row no-gutters card-row">
    <div class="col-11 mx-auto my-auto">
        <div class="card">
            <div class="card-header">
                <h1 class="text-center">{% trans "Public Votations" %}</h1>
            </div>
            <div class="card-body">
                {% if num_of_elements == 0 %}
                <h5>There are no active votations</h5>
                {% endif %}

                {% for votation in page_obj %}
                <div class="card">
                    <h3 class="card-header">{{ votation.topic }}</h3>
                    <div class="card-body">
                        {% if votation.get_votation_status == "closed" %}
                        <span class="badge badge-danger"><i class="fas fa-times"></i> Closed</span>
                        <hr>
                        {% elif votation.get_votation_status == "open" %}
                        <span class="badge badge-success"><i class="fas fa-check"></i> Open</span>
                        <hr>
                        {% else %}
                        <span class="badge badge-warning"><i class="fas fa-exclamation-triangle"></i> Pending</span>
                        <hr>
                        {% endif %}

                        <p><strong>Description: </strong>{{ votation.description }}</p>
                        <h6 class="card-title"><strong>Opens</strong>- {{ votation.start_date }}</h6>
                        <h6 class="card-title"><strong>Expires</strong>- {{ votation.end_date }}</h6>

                        {% if votation.get_votation_status != "pending" %}
                        {% if votation.get_votation_status == "closed" %}
                        <a href="{% url 'votations:vote' pk=votation.pk %}?next={{ request.get_full_path }}" class="btn btn-primary disabled"><i
                                class="fas fa-vote-yea"></i> Vote</a>
                        <a href="{% url 'votations:results' pk=votation.pk %}" class="btn btn-primary"><i class="fas fa-poll"></i> Results</a>
                        {% else %}
                        {% if votation not in request.user.votations.all %}
                        <a href="{% url 'votations:vote' pk=votation.pk %}?next={{ request.get_full_path }}" class="btn btn-primary"><i
                                class="fas fa-vote-yea"></i> Vote</a>
                        {% else %}
                        <a href="{% url 'votations:vote' pk=votation.pk %}?next={{ request.get_full_path }}" class="btn btn-primary disabled"><i
                                class="fas fa-vote-yea"></i> Vote</a>
                        {% endif %}
                        {% endif %}
                        {% endif %}
                    </div>
                </div>
                <br><br>
                {% endfor %}
                {% if page_obj.has_previous %}
                <a class="btn btn btn-outline-primary mb-4" href="?page={{ page_obj.previous_page_number }}"><i class="fas fa-arrow-left"></i></a>
                {% endif%}

                {% for num in page_obj.paginator.page_range %}
                {% if page_obj.number == num %}
                <a class="btn btn-secondary mb-4" href="?page={{ num }}">{{ num }}</a>
                {% elif num > page_obj.number|add:'-3' and num < page_obj.number|add:'3' %}<a class="btn btn btn-outline-secondary mb-4" href="?page={{ num }}">{{ num }}</a>
                {% endif %}
                {% endfor%}
                
                {% if page_obj.has_next %}
                <a class="btn btn btn-outline-primary mb-4" href="?page={{ page_obj.next_page_number }}"><i class="fas fa-arrow-right"></i></a>
                {% endif%}
            </div>
        </div>
    </div>
</div>
{% endblock %}